=== blitz/generate/CMakeLists.txt ===
add_executable(genarrbops  genarrbops.cpp)
add_executable(genarruops  genarruops.cpp)
add_executable(genmatbops  genmatbops.cpp)
add_executable(genmatuops  genmatuops.cpp)
add_executable(genvecbops  genvecbops.cpp)
add_executable(genvecuops  genvecuops.cpp)
add_executable(genvecwhere genvecwhere.cpp)
add_executable(genvecbfn   genvecbfn.cpp)
add_executable(genmathfunc genmathfunc.cpp)
add_executable(genpromote  genpromote.cpp)
