=== blitz/meta/CMakeLists.txt ===
set(BLITZ_META_HEADERS dot.h matassign.h matmat.h matvec.h metaprog.h product.h sum.h vecassign.h)

install(FILES ${BLITZ_META_HEADERS} DESTINATION include/blitz/meta)
