=== debian/changelog ===
blitz++ (1:1.0.2+ds-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:22:10 +0000

blitz++ (1:1.0.2+ds-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061932

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 03:21:46 +0000

blitz++ (1:1.0.2+ds-4) unstable; urgency=medium

  * Debianization:
    - d/watch, update for GitHub URL changes;
    - d/s/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Nov 2022 16:05:45 +0000

blitz++ (1:1.0.2+ds-3) unstable; urgency=medium

  [ Jerome Benoit ]
  * Debianization:
    - Maintenance, migrate to Debian Math Team;
    - d/patches/*:
      - d/p/debianization.patch, merge patches by Vagrant Cascadian;
      - d/p/debianization*.patch, set Forwarded to not-needed;
    - d/rules:
      - dpkg material, include now;
      - harden;
    - d/copyright:
      - copyright year tuple, update;
    - d/upstream/metadata, introduce;
    - d/adhoc/*/Makefile:
      - copyright year tuple, update.

  [ Philip Rinn ]
  * Team work
  * debian/control:
    - debhelper, bump to 13
    - Standards Version, bump to 4.6.1 (no change)
    - Mark libblitz0v5 and libblitz0-dev as 'Multi-Arch: same'
    - Mark libblitz-doc as 'Multi-Arch: foreign'
    - Add 'Rules-Requires-Root: no'
  * Remove unused debian/source/include-binaries
  * Make bzconfig.h reproducible:
    - Remove -{file|debug}-prefix-map from BZ__compiler_options
    - Add patch to use SOURCE_DATE_EPOCH in BZ__config_date (Closes: #977001)
      - Thanks Vagrant Cascadian for the patch
    - Add patch to use DEB_HOST_MULTIARCH as BZ__os_name (Closes: #977003)
      - Thanks Vagrant Cascadian for the patch

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Jul 2022 17:23:40 +0000

blitz++ (1:1.0.2+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/*:
      - d/p/upstream-skip-testsuite.patch, reintroduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 02 Nov 2019 12:55:55 +0000

blitz++ (1:1.0.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - libblitz0-dev package:
        - Suggests field, improve;
      - libblitz-doc package:
        - Suggests field, introduce;
    - debian/copyright:
      - Files-Excluded list, refresh;
    - debian/patches/*:
      - d/p/upstream-*.patch, integrated;
      - d/p/upstream-autotoolization-headers.patch, introduce;
      - d/p/debianization-python.patch, refresh;
      - d/p/debianization-examples.patch, improve;
    - debain/libblitz0{v5,-dev}.docs, update;
    - debian/adhoc/{examples,testsuite}/Makefile:
      - copyright year tuple, update;
    - debian/tests/*, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 02 Nov 2019 10:15:34 +0000

blitz++ (1:1.0.1+ds-6) unstable; urgency=medium

  * RC fix release (Closes: #941510), build-dependency update.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 Oct 2019 17:41:43 +0000

blitz++ (1:1.0.1+ds-5) unstable; urgency=medium

  * FTBFS fix release, harden Python 3 migration in d/p/d-python.patch.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 31 Aug 2019 09:46:23 +0000

blitz++ (1:1.0.1+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Copyright year tuple, update;
    - debian/control:
      - debhelper, bump to 12;
      - Standards Version, bump to 4.4.0 (no change);
      - Build-Depends field, migrate to Python 3 (Closes: #936218);
    - debian/patches/*:
      - d/p/debianization-python.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 31 Aug 2019 07:32:31 +0000
