=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export F77 = gfortran

CPPFLAGS += -DBZ_HAVE_STD

BUILDDIR=_BUILD

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ -with autoreconf --builddirectory=$(BUILDDIR) --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-maintainer-mode \
		--enable-static \
		--enable-shared \
		--enable-debug \
		--enable-64bit \
		--disable-doxygen

override_dh_auto_build-arch:
	$(MAKE) -C $(BUILDDIR) lib
	# Make build reproducible
	sed -i \
			-e 's@ [^ ]*-f\(file\|debug\)-prefix-map=[^ ]*@@g' \
			$(BUILDDIR)/blitz/gnu/bzconfig.h

override_dh_auto_build-indep:
	$(MAKE) -C $(BUILDDIR) lib
	$(MAKE) -C $(BUILDDIR) info pdf html

override_dh_auto_test-arch:
	$(MAKE) -C $(BUILDDIR)/examples check
	$(MAKE) -C $(BUILDDIR)/testsuite check
	#$(MAKE) -C $(BUILDDIR)/benchmarks check

override_dh_auto_test-indep:
	@true

override_dh_prep-arch:
	sed -i \
			-e '/^# generated by configure/d' \
			-e 's/ -D_FORTIFY_SOURCE=2//;s/ -Wdate-time//;s/: $$/:/;' \
		$(BUILDDIR)/blitz.pc

## https://bugs.debian.org/726566
override_dh_prep-indep:
	sed -i \
			-e 's/^* Blitz++: (blitz++)/* Blitz++: (blitz)/;' \
		doc/blitz.info

DEB_AUTO_INSTALL_MAKEFLAGS = DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	$(MAKE) -C $(BUILDDIR) install-info install-pdf install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C $(BUILDDIR)/examples install-examples $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C $(BUILDDIR)/testsuite install-testsuite $(DEB_AUTO_INSTALL_MAKEFLAGS)

override_dh_compress-indep:
	dh_compress -Xexamples -Xtestsuite -Xbenchmarks -X.pdf
