=== debian/watch ===
version=4
opts=\
repack,compression=xz,repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*\/)?(?:rel|v|blitz)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/blitz-$1.$2/ \
https://github.com/blitzpp/blitz/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|blitz)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
